package cn.com.countrygarden.bi.main.service.personnel;

import cn.com.countrygarden.bi.main.core.Result;
import cn.com.countrygarden.bi.main.dto.LabelVo;
import cn.com.countrygarden.bi.main.model.AccessToken;
import cn.com.countrygarden.bi.main.model.personnel.Personnel;
import cn.com.countrygarden.bi.main.model.personnel.PersonnelTag;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import javax.xml.rpc.ServiceException;

/**
 * 人才标签-业务逻辑层
 *
 * @author 李森林
 * @email www.justintoforest@gamail.com
 * @url www.yuhi.com.cn
 * @date 2018-07-10
 */
public interface PersonnelTagService {

    Result queryPageList(LabelVo personnelTag, int page, int size,AccessToken accessToken);

    Result queryById(Integer id);

    Result del(String id);
    
    Result delpiliang(String userid);

    Result add(Personnel personnel, String tagsList, AccessToken accessToken);

    Result edit(Personnel personnelTag, String tagsList, AccessToken accessToken);

    Result excelToObject(MultipartFile multipartFile, String fileName, Integer radio, String userCode,AccessToken accessToken);

    Result queryadByUid(String search,AccessToken accessToken);

    Result personneltag(String userId,String identity);

    Result tagid(Integer id);
    
    Result personneltaguserid(String userId);
}